<?php

namespace App\Filament\Resources\TypeInfrastructures;

use App\Filament\Resources\TypeInfrastructures\Pages\CreateTypeInfrastructure;
use App\Filament\Resources\TypeInfrastructures\Pages\EditTypeInfrastructure;
use App\Filament\Resources\TypeInfrastructures\Pages\ListTypeInfrastructures;
use App\Filament\Resources\TypeInfrastructures\Schemas\TypeInfrastructureForm;
use App\Filament\Resources\TypeInfrastructures\Tables\TypeInfrastructuresTable;
use App\Models\TypeInfrastructure;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class TypeInfrastructureResource extends Resource
{
    protected static ?string $model = TypeInfrastructure::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return TypeInfrastructureForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return TypeInfrastructuresTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListTypeInfrastructures::route('/'),
            'create' => CreateTypeInfrastructure::route('/create'),
            'edit' => EditTypeInfrastructure::route('/{record}/edit'),
        ];
    }
}
